Subject: Re: 23.0.60; Solaris 5.8 version hangs (X resources for faces)

From: Chong Yidong <[email-masked]>
Date: Thu, 14 Aug 2008 15:13:31 -0400

> The following 3 lines in function face-set-after-frame-default in faces.el
> cause emacs to hang at startup (before the initial frame pops up).
>
> 	  ;; X resouces for the default face are applied during
> 	  ;; x-create-frame.
> 	  (and (not (eq face 'default))
> 	       (memq (window-system frame) '(x w32 mac)) 	 
> 	       (make-face-x-resource-internal face frame))
>
> When I evaluate the function below in scratch buffer with
> (face-set-after-frame-default-tst (selected-frame))
> I get: Wrong type argument: font, unspecified
>
> In GNU Emacs 23.0.60.1 (sparc-sun-solaris2.8, Motif Version 2.1.0)
> of 2008-07-17 on sfsws4

I can't reproduce this on (sparc-sun-solaris2.10, X toolkit) or
(sparc-sun-solaris2.10, Motif Version 2.1.0).

Could this be a sparc-sun-solaris2.8 bug?  I don't have access to such a
machine for building Emacs.  Glenn, do you?

Klaus, one thing to diagnose this problem is to run Emacs under gdb, set
a breakpoint at `error', and get a backtrace.  Could you do that, and
see where in the code this error arises?